Package be.ehealth.businessconnector.dmg.service

# Interface DmgService

All Known Implementing Classes:
  `DmgServiceImpl`

public interface DmgService
Interface for all Dmg services Default impl : `DmgServiceImpl` Factory : `ServiceFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header)`
  Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
  `ConsultGlobalMedicalFileResponse`
  `consultGlobalMedicalFile(SAMLToken token, ConsultGlobalMedicalFileRequest request)`
  Sends the consultation request to the WS and retrieves the response.
  `GetResponse`
  `getRequest(SAMLToken token, Get request, WsAddressingHeader header)`
  Returns the
  invalid reference

      Responses

  from the post previously sent.
  `NotifyGlobalMedicalFileResponse`
  `notifyGlobalMedicalFile(SAMLToken token, NotifyGlobalMedicalFileRequest request)`
  Sends the notification request to the WS and retrieves the response.
  `PostResponse`
  `postRequest(SAMLToken token, Post request, WsAddressingHeader header)`
  Returns the
  invalid reference

      TAck

  of the request of an operation.

- ## Method Details

  - ### consultGlobalMedicalFile

    ConsultGlobalMedicalFileResponse consultGlobalMedicalFile(SAMLToken token, ConsultGlobalMedicalFileRequest request) throws DmgBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Sends the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.
    Parameters:
      `token` - the valid SAML token
      `request` - the request to send
    Returns:
      ConsultGlobalMedicalFileResponse the WS response
    Throws:
      `DmgBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### notifyGlobalMedicalFile

    NotifyGlobalMedicalFileResponse notifyGlobalMedicalFile(SAMLToken token, NotifyGlobalMedicalFileRequest request) throws DmgBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Sends the notification request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.
    Parameters:
      `token` - the valid SAML token
      `request` - the request to send
    Returns:
      NotifyGlobalMedicalFileResponse the WS response
    Throws:
      `DmgBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### postRequest

    PostResponse postRequest(SAMLToken token, Post request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException
    Returns the
    invalid reference

        TAck

    of the request of an operation. It only needs the SamlToken, no session needs to be active.
    Parameters:
      `request` - the request
    Returns:
      TAck the WS response
    Throws:
      `GenAsyncBusinessConnectorException`

  - ### getRequest

    GetResponse getRequest(SAMLToken token, Get request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException
    Returns the
    invalid reference

        Responses

    from the post previously sent. It only needs the SamlToken, no session needs to be active.
    Parameters:
      `request` - the request
    Returns:
      Responses
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`

  - ### confirmRequest

    ConfirmResponse confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException
    Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
    Parameters:
      `request` - the request
    Returns:
      The response
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`